"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const core_1 = require("@oclif/core");
const core_2 = require("@salesforce/core");
const local_run_1 = require("../../../../lib/local-run");
core_2.Messages.importMessagesDirectory(__dirname);
const messages = core_2.Messages.loadMessages('@salesforce/plugin-functions', 'run.function.start.local');
class Local extends core_1.Command {
    async run() {
        const { flags } = await this.parse(Local);
        const localRun = new local_run_1.default(flags.language, {
            path: flags.path,
            port: flags.port,
            debugPort: flags['debug-port'],
        });
        await localRun.exec();
    }
}
exports.default = Local;
Local.description = messages.getMessage('summary');
Local.examples = messages.getMessages('examples');
Local.flags = {
    path: core_1.Flags.string({
        description: messages.getMessage('flags.path.summary'),
        default: path.resolve('.'),
        hidden: true,
    }),
    port: core_1.Flags.integer({
        char: 'p',
        description: messages.getMessage('flags.port.summary'),
        default: 8080,
    }),
    'debug-port': core_1.Flags.integer({
        char: 'b',
        description: messages.getMessage('flags.debug-port.summary'),
        default: 9229,
    }),
    language: core_1.Flags.enum({
        options: ['javascript', 'typescript', 'java', 'auto'],
        description: messages.getMessage('flags.language.summary'),
        char: 'l',
        default: 'auto',
    }),
};
