"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
class LangRunner {
    constructor(opts) {
        this.path = opts.path || '.';
        this.port = opts.port || 8080;
        this.host = opts.host || 'localhost';
        this.debugPort = opts.debugPort || 9229;
    }
    async detect() {
        throw new Error('Missing Implementation: detect().');
    }
    async build() {
        throw new Error('Missing Implementation: build().');
    }
    async start() {
        throw new Error('Missing Implementation: start().');
    }
}
exports.default = LangRunner;
